/*
 * This file specifies whole configuration of sitegin.
 * In future it might actually read configuration files but for now - if you
 * want to configure sitegin you have to modify this file.
 * (or write config reader which would replace this file - I'd appreciate
 * merge request for this feature ;) )
 */

module.exports = function() {
  var builddir = "build";
  if(process.argv[2] !== "compileonly") builddir = "build-debug";

  return Promise.resolve({
    config: {
      builddir: builddir,
      sourceDir: 'content',
      articlesLocation: 'articles',
      linksPerPage: 6
    }
  })
}

 // This is only non-reloadable property since it controls reloading itself :P
module.exports.watch = process.argv[2] !== "compileonly";
